## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <forest>

`<forest>` | provides for groups of rooted trees.

Attributes

(In addition to global attributes)

`type` | identifies the type of the forest.
| Datatype: CDATA
| Values: A character string.
| Default: #IMPLIED

Example

Module Declared in file teinet2; Additional tag set for Graph Theory: enabled by TEI.nets
Data Description One or more trees, embedding trees, or underspecified embedding trees (triangles).
May contain eTree tree triangle
May occur within forestGrp
Declaration

    <!ELEMENT forest %om.RR; ((tree | eTree | triangle)+)>
    <!ATTLIST forest
          %a.global;
          type CDATA #IMPLIED>

See further 21.3 Another Tree Notation

Up: 35 Elements